## org.eclipse.emf.cdo.edit
Class CDOItemProviderAdapter

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.emf.cdo.edit.CDOItemProviderAdapter

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class CDOItemProviderAdapter

extends org.eclipse.emf.edit.provider.ItemProviderAdapter

Nested Class Summary
`static class` `CDOItemProviderAdapter.AdaptersDescriptor` Adds the `eAdapters` list of a `CDOObject` to the Properties View.
`static class` `CDOItemProviderAdapter.CDOPropertyDescriptor` Base abstract to add CDO debug information to PropertiesView.
`static class` `CDOItemProviderAdapter.ChangeSubscriptionPoliciesDescriptor` Adds the change subscription policies list of a `CDOObject` to the Properties View.
`static class` `CDOItemProviderAdapter.ContainerDescriptor` Adds the `eContainer` of a `CDOObject` to the Properties View.
`static class` `CDOItemProviderAdapter.DirectResourceDescriptor` Adds the `direct resource` of a `CDOObject` to the Properties View.
`static class` `CDOItemProviderAdapter.IDDescriptor` Adds the `CDOID` of a `CDOObject` to the Properties View.
`static class` `CDOItemProviderAdapter.ReadLockedDescriptor` Adds the `read lock` of a `CDOObject` to the Properties View.
`static class` `CDOItemProviderAdapter.StateDescriptor` Adds the `state` of a `CDOObject` to the Properties View.
`static class` `CDOItemProviderAdapter.URIDescriptor` Adds the URI of a `CDOObject` to the Properties View.
`static class` `CDOItemProviderAdapter.VersionDescriptor` Adds the version of a `CDOObject` to the Properties View.
`static class` `CDOItemProviderAdapter.ViewDescriptor` Adds the associate `view` of a `CDOObject` to the Properties View.
`static class` `CDOItemProviderAdapter.WriteLockedDescriptor` Adds the `write lock` of a `CDOObject` to the Properties View.

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`CDOItemProviderAdapter(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`

Method Summary
`protected void` `addAdaptersDescriptor(java.lang.Object object)`
`protected void` `addChangeSubscriptionPoliciesDescriptor(java.lang.Object object)`
`protected void` `addContainerDescriptor(java.lang.Object object)`
`protected void` `addDirectResourceDescriptor(java.lang.Object object)`
`protected void` `addIDDescriptor(java.lang.Object object)`
`protected void` `addReadLockedDescriptor(java.lang.Object object)`
`protected void` `addStateDescriptor(java.lang.Object object)`
`protected void` `addURIDescriptor(java.lang.Object object)`
`protected void` `addVersionDescriptor(java.lang.Object object)`
`protected void` `addViewDescriptor(java.lang.Object object)`
`protected void` `addWriteLockedDescriptor(java.lang.Object object)`
`java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)`
`boolean` `hasChildren(java.lang.Object object)`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, collectNewChildDescriptors, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenFeatures, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getText, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, notifyChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOItemProviderAdapter

    public CDOItemProviderAdapter(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

Method Detail

### hasChildren

    public boolean hasChildren(java.lang.Object object)

  Overrides:
    `hasChildren` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getPropertyDescriptors

    public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  Overrides:
    `getPropertyDescriptors` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`
  Since:
    2.0

### addIDDescriptor

    protected void addIDDescriptor(java.lang.Object object)

  Since:
    2.0

### addVersionDescriptor

    protected void addVersionDescriptor(java.lang.Object object)

  Since:
    2.0

### addStateDescriptor

    protected void addStateDescriptor(java.lang.Object object)

  Since:
    2.0

### addViewDescriptor

    protected void addViewDescriptor(java.lang.Object object)

  Since:
    2.0

### addContainerDescriptor

    protected void addContainerDescriptor(java.lang.Object object)

  Since:
    2.0

### addDirectResourceDescriptor

    protected void addDirectResourceDescriptor(java.lang.Object object)

  Since:
    2.0

### addReadLockedDescriptor

    protected void addReadLockedDescriptor(java.lang.Object object)

  Since:
    2.0

### addWriteLockedDescriptor

    protected void addWriteLockedDescriptor(java.lang.Object object)

  Since:
    2.0

### addAdaptersDescriptor

    protected void addAdaptersDescriptor(java.lang.Object object)

  Since:
    2.0

### addChangeSubscriptionPoliciesDescriptor

    protected void addChangeSubscriptionPoliciesDescriptor(java.lang.Object object)

  Since:
    2.0

### addURIDescriptor

    protected void addURIDescriptor(java.lang.Object object)

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.